> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar mensagens RCS

> Historial de RCS enviados. Cada ítem incluye **`payload`** (lo enviado), `messageType`, estado y timestamps.



## OpenAPI

````yaml /es/rcs-api/api-reference/openapi-rcs.json get /v1/rcs/messages
openapi: 3.0.3
info:
  title: API RCS de Notifique
  description: >-
    Envíe mensajes RCS, gestione agentes (instancias) y consulte respuestas
    recibidas. Autentique com `Authorization: Bearer sk_live_...` ou
    `x-api-key`.
  version: 1.0.0
servers:
  - url: https://api.notifique.dev
    description: Producción
security:
  - ntfRcsBearerAuth: []
  - ntfRcsApiKeyHeader: []
tags:
  - name: Mensagens
    description: Envío, listado, consulta y cancelación de mensajes RCS salientes.
  - name: Instâncias
    description: >-
      Agentes RCS de marca del workspace: creación, revisión y
      aprovisionamiento.
  - name: Inbound
    description: Mensajes RCS recibidos (MO) en el workspace.
paths:
  /v1/rcs/messages:
    get:
      tags:
        - Mensagens
      summary: Listar mensagens RCS
      description: >-
        Historial de RCS enviados. Cada ítem incluye **`payload`** (lo enviado),
        `messageType`, estado y timestamps.
      operationId: ntfRcs_getV1RcsMessages
      parameters:
        - name: page
          in: query
          schema:
            type: string
          description: Página (padrão 1).
        - name: limit
          in: query
          schema:
            type: string
          description: Itens por página (padrão 20, máx. 100).
        - name: fromDate
          in: query
          schema:
            type: string
            format: date-time
        - name: toDate
          in: query
          schema:
            type: string
            format: date-time
        - name: status
          in: query
          schema:
            type: string
          description: >-
            Status separados por vírgula: QUEUED, SCHEDULED, PROCESSING, SENT,
            DELIVERED, READ, CLICKED, RESPONDED, FAILED, CANCELLED.
        - name: to
          in: query
          schema:
            type: string
          description: Filtro parcial no número destino.
      responses:
        '200':
          description: Lista de RCS e paginação.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/NtfRcs_RcsListItem'
                  pagination:
                    $ref: '#/components/schemas/NtfRcs_Pagination'
              example:
                success: true
                data:
                  - id: clrcs1...
                    to: '5511999999999'
                    type: basic
                    payload:
                      message: Olá!
                    status: DELIVERED
                    createdAt: '2025-02-10T14:00:00.000Z'
                    updatedAt: '2025-02-10T14:00:30.000Z'
                    scheduledAt: null
                    readAt: null
                pagination:
                  total: 1
                  page: 1
                  limit: 20
                  totalPages: 1
        '400':
          description: Filtro `status` inválido.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfRcs_ErrorResponse'
              example:
                success: false
                error: Bad Request
                message: Invalid status filter
                code: BAD_REQUEST
        '401':
          description: API Key ausente ou inválida.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfRcs_ErrorResponse'
              example:
                success: false
                error: Unauthorized
                message: Invalid or missing API Key
                code: UNAUTHORIZED
        '403':
          description: Escopo `rcs:read` ausente.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfRcs_ErrorResponse'
              example:
                success: false
                error: Forbidden
                message: 'Missing scope: rcs:read'
                code: FORBIDDEN
components:
  schemas:
    NtfRcs_RcsListItem:
      type: object
      properties:
        id:
          type: string
        to:
          type: string
        type:
          type: string
          enum:
            - basic
            - card
            - carousel
            - file
            - template
          description: 'Tipo: basic, card, carousel, file ou template.'
        payload:
          type: object
        refer:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - QUEUED
            - SCHEDULED
            - PROCESSING
            - SENT
            - DELIVERED
            - READ
            - CLICKED
            - RESPONDED
            - FAILED
            - CANCELLED
        externalId:
          type: string
          nullable: true
        errorMessage:
          type: string
          nullable: true
        scheduledAt:
          type: string
          format: date-time
          nullable: true
        sentAt:
          type: string
          format: date-time
          nullable: true
        deliveredAt:
          type: string
          format: date-time
          nullable: true
        readAt:
          type: string
          format: date-time
          nullable: true
        clickedAt:
          type: string
          format: date-time
          nullable: true
        failedAt:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      example:
        id: clxx...
        to: '5511999999999'
        type: text
        payload: {}
        refer: string
        status: QUEUED
        externalId: clxx...
        errorMessage: string
        scheduledAt: '2025-02-10T14:00:00.000Z'
        sentAt: '2025-02-10T14:00:00.000Z'
        deliveredAt: '2025-02-10T14:00:00.000Z'
        readAt: '2025-02-10T14:00:00.000Z'
        clickedAt: '2025-02-10T14:00:00.000Z'
        failedAt: '2025-02-10T14:00:00.000Z'
        createdAt: '2025-02-10T14:00:00.000Z'
        updatedAt: '2025-02-10T14:00:00.000Z'
    NtfRcs_Pagination:
      type: object
      properties:
        total:
          type: integer
        page:
          type: integer
        limit:
          type: integer
        totalPages:
          type: integer
      example:
        total: 1
        page: 1
        limit: 1
        totalPages: 1
    NtfRcs_ErrorResponse:
      type: object
      required:
        - success
        - error
        - message
        - code
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
        message:
          type: string
        code:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
              message:
                type: string
        data:
          type: object
          additionalProperties: true
          properties:
            status:
              type: string
              example: SENT
      example:
        success: false
        error: string
        message: string
        code: string
        details:
          - field: string
            message: string
        data: {}
  securitySchemes:
    ntfRcsBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        API Key no header Authorization. Exemplo: `Authorization: Bearer
        sk_live_xxxxx`
    ntfRcsApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: 'API Key no header x-api-key. Exemplo: `x-api-key: sk_live_xxxxx`'

````